﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;


namespace TEMPApp1
{
	class FileIO
	{
	    static String strBuffORG;
		public static String FileIOR(
			int iCommand,            //--- 1=最初のGet。なければ作成する。  2=内容で同期する。
			String strWkbuff
			)
		{
			//----パラメータファイルを読み込む。
			//----なければ作成する。
			//----ファイル名は、TEMPer.txt
			//----場所は.exe ファイルと同じところ。
			/*----File Format exanple-------------------------------------
			 * /up:30.5//upmess:ＸＸＸ温度超え。//low:7//lowmess:ｘｘ低温だ。//
			 * interval1:60//minafter:600//inteval2:600//
			 * SMTPdomain://example.com//SMTPuser//user1234//SMTPpass:user112233//
			 * Mailaddr1:addr1@mydomain.com//
			 * Mailaddr2:addr1@mydomain.com//
			 * Mailaddr3:addr1@mydomain.com//
			 * Mailaddr4:addr1@mydomain.com//
			 * 
			 *----------------------------------------------------*/
			String BuffWK;
			StreamReader sr;
			sr = null;
			String strPath = System.AppDomain.CurrentDomain.BaseDirectory;
			String strPath2 = strPath + "TEMPer.txt";
		
			//MessageBox.Show("Raad/Write path=" + strPath);

			if (iCommand == 1)//----Read Parameter File
			{//-----Open Parameter File
				try
				{
					sr = new StreamReader(strPath2, Encoding.GetEncoding("UTF-8"));
				}
				catch
				{

				}

				if (sr == null)
				{//----Fileがないので、 First Time Wite CrLf
					System.IO.StreamWriter sw = new System.IO.StreamWriter(strPath2);

					sw.WriteLine(strWkbuff);
					sw.Close();
					try
					{
						sr = new StreamReader(strPath2, Encoding.GetEncoding("UTF-8"));
					}
					catch
					{

					}
					BuffWK = sr.ReadToEnd();
					strBuffORG = BuffWK.Replace("\r\n", "|%");

					sr.Close();

				}
				else
				{//-----Read Existing File 
					BuffWK = sr.ReadToEnd();
					strBuffORG = BuffWK.Replace("\r\n","|%");

					sr.Close();
				}
			}
			else if (iCommand == 2)
			{//-----Wite Back Parameter File
				System.IO.StreamWriter sw = new System.IO.StreamWriter(strPath2);
				BuffWK = strWkbuff.Replace( "\r\n", "|%"); //.Replace( "|%", "\r\n");
				BuffWK = strWkbuff.Replace("|%|%", ""); //余分は取る。

				sw.WriteLine(BuffWK);
				sw.Close();

			}
				return strBuffORG;
		}
		public static String FileIOR2(String strBuffIN,String strPara)
		{//----GET parameter
		 //----StrPara up/upmess/low/lowmess/interval1/interval2/minaftre/SMTPdomain/SMTPuser/SMTPpass/
		 //----Mailaddr1/Mailaddr2/Mailaddr3/Mailaddr4/

			String strBuff;
			String strOUT;
			int iMax;
			int i;
			int j;
			int iStart;
			int iFound; //----Key Word 1=見つからない。0=見つかった。
			iMax = strBuffIN.Length;
			strBuff = strBuffIN + "               ";  //--- +dummy15文字
			iFound = 1;//---set not found
		   
			strOUT = "";
			if (strPara == "up")
			{
				for (i = 0; i<iMax; i++)
				{
					if (strBuff.Substring(i, 3) == "up:")
					{
						iStart = i+3;
						for (j = iStart; j < iMax ; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
			        	}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "upmess")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 7) == "upmess:")
					{
						iStart = i + 7;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								strOUT= strOUT.Replace("|%", "\r\n");
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "low")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 4) == "low:")
					{
						iStart = i + 4;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "lowmess")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "lowmess:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								strOUT = strOUT.Replace("|%", "\r\n");
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "interval1")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "interval1:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "minafter")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "minafter:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "interval2")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "interval2:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPdomain")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 11) == "SMTPdomain:")
					{
						iStart = i + 11;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPport")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "SMTPport:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPuser")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "SMTPuser:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPpass")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "SMTPpass:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr1")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr1:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr2")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr2:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
				
			}
			else if (strPara == "Mailaddr3")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr3:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr4")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr4:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "MaxTime")//---MaxTime
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MaxTime:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MaxTime
			else if (strPara == "MaxTemp")//---MaxTemp
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MaxTemp:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MaxTemp
			else if (strPara == "MinTime")//---MinTime
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MinTime:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MinTime
			else if (strPara == "MinTemp")//---MinTemp
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MinTemp:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strOUT = strBuff.Substring(iStart, j - iStart);
								iFound = 0;//---set found
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MinTemp
			else
			{
				strOUT = "parameter error:" + strPara;
			}
			return strOUT;
		}

		public static String FileIOR3(String strBuffIN, String strPara,String strMOJI)
		{//----SET parameter  strMOJIで入れ替えを行う。
		 //----StrPara up/upmess/low/lowmess/interval1/interval2/minaftre/SMTPdomain/SMTPuser/SMTPpass/
		 //----Mailaddr1/Mailaddr2/Mailaddr3/Mailaddr4/
			String strOUT;
			String strBuff;
			int iMax;
			int iLeft;
			int i;
			int j;
			int iStart;
			int iFound; //----Key Word 1=見つからない。0=見つかった。
			String strLeft;
			String strRight;

			iMax = strBuffIN.Length;
			strBuff = strBuffIN + "               ";  //--- +dummy15文字
			iFound = 1;//--------見つからないにする。
			strOUT = "";
			if (strPara == "up")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 3) == "up:")
					{
						iStart = i + 3;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 3);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "up:"+strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "upmess")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 7) == "upmess:")
					{
						iStart = i + 7;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 7);
								strRight = strBuff.Substring(j, iMax - j+15);
								strOUT = strLeft + "upmess:" + strMOJI.Replace( "\r\n", "|%") + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "low")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 4) == "low:")
					{
						iStart = i + 4;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 4);
								strRight = strBuff.Substring(j, iMax - j+15);
								strOUT = strLeft + "low:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "lowmess")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "lowmess:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 8);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "lowmess:" + strMOJI.Replace("\r\n", "|%") + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "interval1")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "interval1:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 10);
								strRight = strBuff.Substring(j, iMax - j+15);
								strOUT = strLeft + "interval1:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}

			}
			else if (strPara == "minafter")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "minafter:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 9);
								strRight = strBuff.Substring(j, iMax - j+15);
								strOUT = strLeft + "minafter:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "interval2")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "interval2:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 10);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "interval2:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPdomain")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 11) == "SMTPdomain:")
					{
						iStart = i + 11;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 11);
								strRight = strBuff.Substring(j, iMax - j+15);
								strOUT = strLeft + "SMTPdomain:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPport")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "SMTPport:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 9);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "SMTPport:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPuser")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "SMTPuser:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 9);
								strRight = strBuff.Substring(j, iMax - j+15);
								strOUT = strLeft + "SMTPuser:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "SMTPpass")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 9) == "SMTPpass:")
					{
						iStart = i + 9;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 9);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "SMTPpass:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr1")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr1:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 10);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "Mailaddr1:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr2")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr2:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 10);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "Mailaddr2:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr3")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr3:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 10);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "Mailaddr3:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "Mailaddr4")
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 10) == "Mailaddr4:")
					{
						iStart = i + 10;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 10);
								strRight = strBuff.Substring(j , iMax - j+15);
								strOUT = strLeft + "Mailaddr4:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}
			else if (strPara == "MaxTime")//---MaxTime--
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MaxTime:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 8);
								strRight = strBuff.Substring(j, iMax - j + 15);
								strOUT = strLeft + "MaxTime:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MaxTime--
			else if (strPara == "MaxTemp")//---MaxTemp--
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MaxTemp:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 8);
								strRight = strBuff.Substring(j, iMax - j + 15);
								strOUT = strLeft + "MaxTemp:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MaxTemp--
			else if (strPara == "MinTime")//---MinTime--
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MinTime:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 8);
								strRight = strBuff.Substring(j, iMax - j + 15);
								strOUT = strLeft + "MinTime:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MinTime--
			else if (strPara == "MinTemp")//---MinTemp--
			{
				for (i = 0; i < iMax; i++)
				{
					if (strBuff.Substring(i, 8) == "MinTemp:")
					{
						iStart = i + 8;
						for (j = iStart; j < iMax; j++)
						{//-----後ろの//まで。
							if (strBuff.Substring(j, 2) == "//")//----終わりあった。
							{//---OK
								strLeft = strBuff.Substring(0, iStart - 8);
								strRight = strBuff.Substring(j, iMax - j + 15);
								strOUT = strLeft + "MinTemp:" + strMOJI + strRight;
								strBuff = strOUT;
								iFound = 0;//--------見つかった。
								break;
							}
						}

					}
					if (iFound == 0) { break; }
				}
			}//---MinTemp--
			else
			{
				strOUT = "parameter error:" + strPara;
			}
			if (iFound == 1)
			{//----Key Wordが見つからないので、後ろに加える。

				strBuff = strBuffIN + strPara+":"+strMOJI + "//               ";
				iFound = 0;//--------見つかった。
			}

			//----余分につけた１５文字空白を取る。
			iMax = strBuff.Length;
			iLeft = iMax - 15;
			strOUT = strBuff.Substring(0, iLeft);
			return strOUT;
		}
	
	}
}
