﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Threading;
using System.IO;

namespace TEMPApp1
{
	class MailClass
	{
		//------温度異常のときメールする。
		public static void SendMail(
			String strHeader,
			String strHOST,
			String strPORT,
			String strUSER,
			String strPass,
			String strMes, 
			String strAddr1, 
			String strAddr2, 
			String strAddr3, 
			String strAddr4)
	    {
			String strMyaddr;

			//MessageBox.Show("SendMail");


			try
			{
				System.Net.Mail.SmtpClient sc = new System.Net.Mail.SmtpClient();
				//SMTPサーバーなどを設定する
				sc.Host = strHOST;
				sc.Port = int.Parse(strPORT);
				sc.DeliveryMethod = System.Net.Mail.SmtpDeliveryMethod.Network;
				//ユーザー名とパスワードを設定する
				sc.Credentials = new System.Net.NetworkCredential(strUSER, strPass);

				//System.Net.Mail.MailMessage msg = new System.Net.Mail.MailMessage(
				//	"from@xxx.xxx", "to@xxx.xxx", "題名", "本文");


				//MailMessageの作成
				System.Net.Mail.MailMessage msg = new System.Net.Mail.MailMessage();

				//送信者
				strMyaddr = strUSER + "@" + strHOST;
				msg.From = new System.Net.Mail.MailAddress(strMyaddr);
				//宛先
				msg.To.Add(new System.Net.Mail.MailAddress(strAddr1));
				//あて先をもう一人追加
				if ((strAddr2 != null) && (strAddr2 != ""))
				{
					msg.To.Add(new System.Net.Mail.MailAddress(strAddr2));
				}
				//あて先をもう一人追加
				if ((strAddr3 != null) && (strAddr3 != ""))
				{
					msg.To.Add(new System.Net.Mail.MailAddress(strAddr3));
				}
				//あて先をもう一人追加
				if ((strAddr4 != null) && (strAddr4 != ""))
				{
					msg.To.Add(new System.Net.Mail.MailAddress(strAddr4));
				}
				//CC
				//msg.CC.Add(new System.Net.Mail.MailAddress("cc@xxx.xxx"));
				//BCC
				//msg.Bcc.Add(new System.Net.Mail.MailAddress("bcc@xxx.xxx"));
				//ReplyTo
				//-----確認のReplyはしない。
				//msg.ReplyToList.Add(new System.Net.Mail.MailAddress(strMyaddr));

				//件名
				msg.Subject = strHeader;// "温度異常が検出されました(Temperature Alarm)";
				//本文
				msg.Body = strMes;

				//優先順位を「重要」にする
				msg.Priority = System.Net.Mail.MailPriority.High;
				//メールの配達が遅れたとき、失敗したとき、正常に配達されたときに通知する
				msg.DeliveryNotificationOptions =
					System.Net.Mail.DeliveryNotificationOptions.Delay |
					System.Net.Mail.DeliveryNotificationOptions.OnFailure |
					System.Net.Mail.DeliveryNotificationOptions.OnSuccess;
				//メッセージを送信する
				sc.Send(msg);

				//後始末
				msg.Dispose();
				//後始末（.NET Framework 4.0以降）
				sc.Dispose();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.ToString());
			}
			return;

	    }
	}
}
